Difference between revisions of "$?"
Jump to navigation
Jump to search
Line 1: | Line 1: | ||
<code>[[echo $?]]</code> prints the [[exit status]] of the last executed command in the terminal. The exit status is a numeric value that indicates whether the command completed successfully or encountered an error. A value of [[0]] indicates success, while non-zero values indicate an [[error]]. | <code>[[echo $?]]</code> prints the [[exit status]] of the last executed command in the terminal. The exit status is a numeric value that indicates whether the command completed successfully or encountered an error. A value of [[0]] indicates success, while non-zero values indicate an [[error]]. | ||
− | |||
== Examples == | == Examples == | ||
Line 10: | Line 9: | ||
echo $? | echo $? | ||
1 | 1 | ||
− | |||
[[apt -qqq update -y && apt -qqq upgrade -y; echo $?]] | [[apt -qqq update -y && apt -qqq upgrade -y; echo $?]] |
Latest revision as of 06:54, 7 June 2024
echo $?
prints the exit status of the last executed command in the terminal. The exit status is a numeric value that indicates whether the command completed successfully or encountered an error. A value of 0 indicates success, while non-zero values indicate an error.
Examples[edit]
mkdir -p /path/to/root/in/macos mkdir: cannot create directory ‘/path’: Read-only file system
-p, --parents makes parents directories if needed and no error if existing echo $? 1
apt -qqq update -y && apt -qqq upgrade -y; echo $?
Related[edit]
See also[edit]
exit, set, exit 0, $?
set, unset, set -o, set -x, set -e, set +e, set -E, set +b, set -u, $?, exit, return, trap, PostgreSQL SET
Bash [ -c ]
,alias
,&&
, Bash history, Autocompletion,set
,unset
,export
,.bash_aliases, .bashrc and .bash profile
,PS1
,echo
,brace expansion
, Function,shopt
,trap
,set -e
,source
,PATH
,complete
,disown
,.hushlogin
,.bashrc
,builtin
,eval
,set
,$PATH
,$HOME
,TZ
,.profile
,-e, -i
,Builtin (Bash)
,mapfile
,~
, return (Bash), for, until,declare, dirname, basename, functions.sh
, Bash arithmetic expansion,shift, bash --rcfile, readonly, $1, $@
Advertising: